Skip to main content
PATCH
Update key
Updates API key properties.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the key.

keyId
string<uuid>
required

ID of the key to update.

Body

application/json
name
string

Name of the key

roles
enum<string>[]
deprecated

DEPRECATED. Use assignedRoleIds instead. List of roles assigned to the key.

Available options:
admin,
developer,
query_endpoints
assignedRoleIds
string<uuid>[]

Array of role UUIDs to assign to the API key

expireAt
string<date-time> | null

Timestamp the key expires. If null or is empty the key never expires. ISO-8601.

state
enum<string>

State of the key: 'enabled', 'disabled'.

Available options:
enabled,
disabled
ipAccessList
object[]

List of IP addresses allowed to access the API using this key

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 21, 2026